## wxToolTip

This class holds information about a tooltip associated with a window (see wxWindow::SetToolTip).

The two static methods, wxToolTip::Enable and wxToolTip::SetDelay can be used to globally alter tooltips behaviour.

Derived from

wxObject

Members

wxToolTip::Enable
wxToolTip::SetDelay
wxToolTip::wxToolTip
wxToolTip::SetTip
wxToolTip::GetTip
wxToolTip::GetWindow

### wxToolTip::Enable

static void Enable(bool flag)

Enable or disable tooltips globally.

### wxToolTip::SetDelay

static void SetDelay(long msecs)

Set the delay after which the tooltip appears.

### wxToolTip::wxToolTip

wxToolTip(const wxString& tip)

Constructor.

### wxToolTip::SetTip

void SetTip(const wxString& tip)

Set the tooltip text.

### wxToolTip::GetTip

wxString GetTip() const

Get the tooltip text.

### wxToolTip::GetWindow

wxWindow* GetWindow() const

Get the associated window.